# policy

A policy is an arbitrarily serialized policy engine rule set to be consumed by a remote service. Applies to Identity v3.

## policy create

Create new policy

    openstack policy create [--type <type>] <filename>

--type <type>

  New MIME type of the policy rules file (defaults to application/json)

filename

  New serialized policy rules file

## policy delete

Delete policy(s)

    openstack policy delete <policy> [<policy> ...]

policy

  Policy(s) to delete

## policy list

List policies

    openstack policy list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--long

  List additional fields in output

## policy set

Set policy properties

    openstack policy set [--type <type>] [--rules <filename>] <policy>

--type <type>

  New MIME type of the policy rules file

--rules <filename>

  New serialized policy rules file

policy

  Policy to modify

## policy show

Display policy details

    openstack policy show <policy>

policy

  Policy to display

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.